Ac3d Compiler(6)

NAME

accc - Ac3d Compiler

SYNTAX

accc [option] <inputfile> <outputfile> [dist][-order orderstring]

DESCRIPTION

This manual describes the Ac3d compiler application that is shipped with the game TORCS.

OPTIONS

-strip
    stripify any ac3d output models

+o  ac3d to ac3d: the result file is optimized in using groups by zone of track track must be named TKMNxxx dist is used to determine the distance of the objects

+om ac3d to ac3d: the result is a vertex merged unique obj for smooth car only

-o  ac3d to obj +s ac3d to ac3d with strips (used for cars)

+es <angle_of_smooth>
    ac3d to ac3d with strips (used for cars) and extended ac3d file output (computed normals) angle is in degrees: example: +es 80.0 clkdtm_o.ac clkdtm.ac the output file will also contains the secondary textcoord for the env sliding

+et ac3d to ac3d with triangles (used for cars) and extended ac3d file output (normals normals)

+etn
    ac3d to ac3d with triangles no split and extended ac3d file output (normals normals)

+shad
    ac3d to ac3d with triangles, create a new ac3d file used for track shading, vertical mapping of a single texture

<inputfile>

<outputfile>

-order orderstring
    only used with +es , +s and +et orderstring is the order of the objects during the save for example: HB;OB;OBM is the names of the objet separate by a semicolon for imported NFS cars the object name HB must be used instead of: HB

-g <outputfile>
    for grouping multilayer ac3d track

-l0 <input filename>
    the base geometry

-l1 <input filename>
    the base geometry map-tiled

-l2 <input filename>
    the base geometry skids/and grass details

-l3 <input filename>
    the base geometry shadows

-d3 <val>
    the max distance of groups in tkmn

-d2 <val>
    the distance of group 2 in tkmn

-d1 <val>
    the distance of group 1 in tkmn

-S <val>
    the distance of splitting for TERRAIN* objects

-es for extended ac3d file format for strips

-nts
    no texture split (for debug)

SEE ALSO
torcs(6)

AUTHOR

This manual page was written by Rudy Godoy <rudy@kernel-panik.org>, for the Debian GNU/Linux system (but may be used by others).